| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.IProductService Interface Reference

ProductService interface. More...

Inheritance diagram for LicenseSpring.IProductService:

## Public Member Functions
InstallationFile | CreateInstallationFile (CreateInstallationFileDto dto)
| Creates a new installation file.
ProductCustomField | CreateProductCustomField (CreateProductCustomFieldDto dto)
| Creates a new product custom field.
ProductFeature | CreateProductFeature (CreateProductFeatureDto dto)
| Creates a new product feature.
string | DeleteProductCustomField (uint fieldId)
| Deletes product custom field.
string | DeleteProductFeature (ulong featureId)
| Deletes product feature.
BundleProduct[] | ListBundlesForAProduct (ulong productId)
| Show all bundles for a Product the requesting manager has access permissions to.
InstallationFile[] | ListInstallationFiles (ListInstallationFilesRequestDto dto, out uint count)
| Returns installation files.
ProductCustomField[] | ListProductCustomFields (ListProductFieldsRequestDto dto, out uint count)
| Returns product custom fields.
ProductFeature[] | ListProductFeatures (ListProductFieldsRequestDto dto, out uint count)
| Returns product features.
Product[] | ListProducts (ListProductsRequestDto dto, out uint count)
| Returns products.
BundleProduct[] | ListProductsInABundle (ulong bundleId)
| Show all Products in a bundle the requesting manager has access permissions to.
ProductCustomField | UpdateProductCustomField (CreateProductCustomFieldDto dto, uint fieldId)
| Updates product custom field.
ProductFeature | UpdateProductFeature (CreateProductFeatureDto dto, ulong featureId)
| Updates product feature.
Public Member Functions inherited from LicenseSpring.IService
void | Initialize (ManagementConfiguration configuration)
| Initialize management service with given configuration.
bool | IsInitialized ()
| Check whether management service has been initialized.
bool | IsOnline (bool throwExceptions=false)
| Helper method, it checks connection to the LicenseSpring platform.

## Detailed Description

ProductService interface.

## Member Function Documentation

## ◆ CreateInstallationFile()

InstallationFile LicenseSpring.IProductService.CreateInstallationFile | ( | CreateInstallationFileDto | dto | ) |

Creates a new installation file.

Parameters

  dto | Dto with information about new installation file.

Implemented in LicenseSpring.ProductService.

## ◆ CreateProductCustomField()

ProductCustomField LicenseSpring.IProductService.CreateProductCustomField | ( | CreateProductCustomFieldDto | dto | ) |

Creates a new product custom field.

Parameters

  dto | Dto with information about new product custom field.

Implemented in LicenseSpring.ProductService.

## ◆ CreateProductFeature()

ProductFeature LicenseSpring.IProductService.CreateProductFeature | ( | CreateProductFeatureDto | dto | ) |

Creates a new product feature.

Parameters

  dto | Dto with information about new product feature.

Implemented in LicenseSpring.ProductService.

## ◆ DeleteProductCustomField()

string LicenseSpring.IProductService.DeleteProductCustomField | ( | uint | fieldId | ) |

Deletes product custom field.

Parameters

  fieldId | The Id of the product custom field that will be deleted.

Implemented in LicenseSpring.ProductService.

## ◆ DeleteProductFeature()

string LicenseSpring.IProductService.DeleteProductFeature | ( | ulong | featureId | ) |

Deletes product feature.

Parameters

  featureId | The Id of the product feature that will be deleted.

Implemented in LicenseSpring.ProductService.

## ◆ ListBundlesForAProduct()

BundleProduct[] LicenseSpring.IProductService.ListBundlesForAProduct | ( | ulong | productId | ) |

Show all bundles for a Product the requesting manager has access permissions to.

Parameters

  productId | Id of the product.

Implemented in LicenseSpring.ProductService.

## ◆ ListInstallationFiles()

InstallationFile[] LicenseSpring.IProductService.ListInstallationFiles | ( | ListInstallationFilesRequestDto | dto,
|  | out uint | count
| ) |  |

Returns installation files.

Parameters

  dto | Data transfer object that is used for searching through installation files.
  count | Quantity of product installation files, use for iteration of the result pages.

Implemented in LicenseSpring.ProductService.

## ◆ ListProductCustomFields()

ProductCustomField[] LicenseSpring.IProductService.ListProductCustomFields | ( | ListProductFieldsRequestDto | dto,
|  | out uint | count
| ) |  |

Returns product custom fields.

Parameters

  dto | Data transfer object that is used for searching through all product custom fields.
  count | Quantity of product custom fields, use for iteration of the result pages.

Implemented in LicenseSpring.ProductService.

## ◆ ListProductFeatures()

ProductFeature[] LicenseSpring.IProductService.ListProductFeatures | ( | ListProductFieldsRequestDto | dto,
|  | out uint | count
| ) |  |

Returns product features.

Parameters

  dto | Data transfer object that is used for searching through product features.
  count | Quantity of product features, use for iteration of the result pages.

Implemented in LicenseSpring.ProductService.

## ◆ ListProducts()

Product[] LicenseSpring.IProductService.ListProducts | ( | ListProductsRequestDto | dto,
|  | out uint | count
| ) |  |

Returns products.

Parameters

  dto | Data transfer object that is used for searching through all products.
  count | Quantity of products, use for iteration of the result pages.

Implemented in LicenseSpring.ProductService.

## ◆ ListProductsInABundle()

BundleProduct[] LicenseSpring.IProductService.ListProductsInABundle | ( | ulong | bundleId | ) |

Show all Products in a bundle the requesting manager has access permissions to.

Parameters

  bundleId | Id of the product bundle.

Implemented in LicenseSpring.ProductService.

## ◆ UpdateProductCustomField()

ProductCustomField LicenseSpring.IProductService.UpdateProductCustomField | ( | CreateProductCustomFieldDto | dto,
|  | uint | fieldId
| ) |  |

Updates product custom field.

Parameters

  dto | Dto with information about product custom field that will be updated.
  fieldId | The Id of the product custom field that will be updated.

Implemented in LicenseSpring.ProductService.

## ◆ UpdateProductFeature()

ProductFeature LicenseSpring.IProductService.UpdateProductFeature | ( | CreateProductFeatureDto | dto,
|  | ulong | featureId
| ) |  |

Updates product feature.

Parameters

  dto | Dto with information about product feature that will be updated.
  featureId | The Id of the product feature that will be updated.

Implemented in LicenseSpring.ProductService.

The documentation for this interface was generated from the following file:

- IProductService.cs